HOW-TO:Fix Joystick Support error on startup

From Official Kodi Wiki
Jump to: navigation, search
Home icon grey.png   ▶ Remote controls
▶ Games
▶ Game controllers ▶ HOW-TO:Fix Joystick Support error on startup

Joystick support in Kodi v17 has been moved to an binary add-on. Because it uses a binary API, it must match the exact version that Kodi is expecting.


1 Symptoms

This error happens when the Joystick Support add-on has an outdated version.


2 Solution

Unless you can compile this add-on yourself, you will need to get an updated version from whomever built the program.

When you have installed the correct version, enable it in the add-on manager:


3 See also

Personal tools
Namespaces

Variants
Actions
Navigation
Wiki help
Toolbox